
import qs from 'qs'
import request from '@/utils/request'

export function floorAddInfoAPI(data) {
  return request({
    url: '/build/floor/add',
    method: 'post',
    data,
  })
}

export function floorGetDownFloorSortAPI(data) {
  return request({
    url: '/build/floor/getDownFloorSort',
    method: 'GET',
    data,
  })
}
export function floorGetInfoAPI(data) {
  return request({
    url: '/build/floor/getInfo',
    method: 'GET',
    data,
  })
}

export function floorGetUpFloorSortAPI(data) {
  return request({
    url: '/build/floor/getUpFloorSort',
    method: 'GET',
    data,
  })
}

export function floorPageAPI(data) {
  return request({
    url: '/build/floor/page',
    method: 'POST',
    data,
  })
}

export function floorRemoveAPI(data) {
  return request({
    url: '/build/floor/remove',
    method: 'POST',
    data,
    headers: {  // 请求头
        'Content-Type': 'multipart/form-data'
    }
  })
}

export function floorUpdateAPI(data) {
  return request({
    url: '/build/floor/update',
    method: 'POST',
    data,
  })
}